/**
 * 
 */
package com.huatek.busi.vo.routinetest.transformer;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.alibaba.fastjson.JSONObject;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
  * @ClassName: SoundLevelMeasurement
  * @FullClassPath: com.huatek.busi.vo.routinetest.transformer.SoundLevelMeasurement
  * @Description: 声级测定
  * @author: Arno
  * @date: Aug 23, 2019 6:06:52 PM
  * @version: 1.0
  */

@Data
@EqualsAndHashCode(callSuper = false)
public class SoundLevelMeasurement extends TestBase implements Serializable {
	
	/** @Fields serialVersionUID : */ 
	private static final long serialVersionUID = 1L;

	/** @Fields conclusion : 结论*/ 
	public String conclusion = "" ;
	
	public static void main(String[] args) {
		SoundLevelMeasurement entity = new SoundLevelMeasurement();
		entity.setTestContent("声级测定");
		entity.setTestEquipment("");
		entity.setChecker("王科");
		entity.setTester("刘天天");
		entity.setSignature("林冲");
		entity.setTestTime(LocalDateTime.of(2018, 5, 25, 10, 13, 29));
		entity.setRemarks("合格");
		
		entity.setConclusion("测量结果：    0.3m处 变压器A计权表面声压级   Lpa=68dB（A）     2.0m处   变压器A计权表面声压级   Lpa=68 dB（A）");
		String josn = JSONObject.toJSONString(entity);
		System.out.println(josn);
		SoundLevelMeasurement parseObject = JSONObject.parseObject(josn, SoundLevelMeasurement.class);
		System.out.println(parseObject.getChecker());
	}
}
